Subject: Re: bug#12339: Bug: rm -fr . doesn't dir depth first deletion yet it is documented to do so.

From: Linda Walsh <[email-masked]>
Date: Fri, 07 Sep 2012 07:16:41 -0700

Jim Meyering wrote:
> Linda Walsh wrote:
> ...
>> GNU needs to be clear their priorities -- maintaining software
>> freedom, or bowing down to corporate powers...  POSIX isn't
> 
> While POSIX is in general a very good baseline, no one here conforms
> blindly.  If POSIX is wrong, we'll lobby to change it, or, when
> that fails, maybe relegate the undesirable required behavior to when
> POSIXLY_CORRECT is set, or even simply ignore it.  In fact, over the
> years, I have deliberately made a few GNU tools contravene some aspects
> of POSIX-specified behavior that I felt were counterproductive.

> 
> We try to make the tools as useful as possible, sometimes adding features
> when we deem them worthwhile.  However, we are very much against changing
> the *default* behavior (behavior that has been that way for over 20
> years and that is compatible with all other vendor-supplied rm programs)
> without a very good reason.

----
	So if I make it enabled with an ENV var set to RM_FILES_DEPTH_FIRST, to enable
the behavior, then you'd have no problem accepting the patch?